Bug 128538 - ghosting option looked for in wrong variable
ghosting option looked for in wrong variable
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-24 16:04 EDT by Jeff Bastian
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 4.1.3-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-19 16:03:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2004-07-24 16:04:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040623

Description of problem:
The /etc/init.d/autofs script looks for the -g or --ghost options in
the wrong variable.  It look in $options which is for mount options. 
It should look in $DAEMONOPTIONS.

i.e., it should be

        # Check for the ghost option
        if echo "$DAEMONOPTIONS" | grep -qE -- '\B-(g\b|-ghost\b)' ;
        then
            startupoptions="$startupoptions --ghost"
        fi

 --or--

        # Check for the ghost option
        if echo "$DAEMONOPTIONS $options" | \
                                grep -qE -- '\B-(g\b|-ghost\b)' ;
        then
            startupoptions="$startupoptions --ghost"
        fi

Version-Release number of selected component (if applicable):
autofs-4.1.3-9

How reproducible:
Always

Steps to Reproduce:
1. Edit /etc/sysconfig/autofs
2. Include -g or --ghost in the DAEMONOPTIONS field
3. service autofs restart
4. service autofs status

Actual Results:  The --ghost option was not included with the
automount daemons.

Expected Results:  The --ghost option should be listed for each of the
automount daemons.

Additional info:
Comment 1 Jeffrey Moyer 2004-09-07 13:42:01 EDT
A fix for this is in the U3 release, autofs version 4.1.3-12.

Note You need to log in before you can comment on or make changes to this bug.